org.apache.cassandra.thrift

## Class CqlRow

- java.lang.Object
- - org.apache.cassandra.thrift.CqlRow

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CqlRow>, org.apache.thrift.TBase<CqlRow,CqlRow._Fields>

    public class CqlRow
    extends java.lang.Object
    implements org.apache.thrift.TBase<CqlRow,CqlRow._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<CqlRow>

Row returned from a CQL query. This struct is used for both CQL2 and CQL3 queries. For CQL2, the partition key is special-cased and is always returned. For CQL3, it is not special cased; it will be included in the columns list if it was included in the SELECT and the key field is always null.

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `CqlRow._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`java.util.List<Column>` `columns`
`java.nio.ByteBuffer` `key`
`static java.util.Map<CqlRow._Fields,org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Constructor Summary

Constructors
Constructor and Description
`CqlRow()`
`CqlRow(java.nio.ByteBuffer key, java.util.List<Column> columns)`
`CqlRow(CqlRow other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToColumns(Column elem)`
`java.nio.ByteBuffer` `bufferForKey()`
`void` `clear()`
`int` `compareTo(CqlRow other)`
`CqlRow` `deepCopy()`
`boolean` `equals(CqlRow that)`
`boolean` `equals(java.lang.Object that)`
`CqlRow._Fields` `fieldForId(int fieldId)`
`java.util.List<Column>` `getColumns()`
`java.util.Iterator<Column>` `getColumnsIterator()`
`int` `getColumnsSize()`
`java.lang.Object` `getFieldValue(CqlRow._Fields field)`
`byte[]` `getKey()`
`int` `hashCode()`
`boolean` `isSet(CqlRow._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetColumns()` Returns true if field columns is set (has been assigned a value) and false otherwise
`boolean` `isSetKey()` Returns true if field key is set (has been assigned a value) and false otherwise
`void` `read(org.apache.thrift.protocol.TProtocol iprot)`
`CqlRow` `setColumns(java.util.List<Column> columns)`
`void` `setColumnsIsSet(boolean value)`
`void` `setFieldValue(CqlRow._Fields field, java.lang.Object value)`
`CqlRow` `setKey(byte[] key)`
`CqlRow` `setKey(java.nio.ByteBuffer key)`
`void` `setKeyIsSet(boolean value)`
`java.lang.String` `toString()`
`void` `unsetColumns()`
`void` `unsetKey()`
`void` `validate()`
`void` `write(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### key

    public java.nio.ByteBuffer key

#### columns

    public java.util.List<Column> columns

#### metaDataMap

    public static final java.util.Map<CqlRow._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### CqlRow

    public CqlRow()

#### CqlRow

    public CqlRow(java.nio.ByteBuffer key,
                  java.util.List<Column> columns)

#### CqlRow

    public CqlRow(CqlRow other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public CqlRow deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`

#### getKey

    public byte[] getKey()

#### bufferForKey

    public java.nio.ByteBuffer bufferForKey()

#### setKey

    public CqlRow setKey(byte[] key)

#### setKey

    public CqlRow setKey(java.nio.ByteBuffer key)

#### unsetKey

    public void unsetKey()

#### isSetKey

    public boolean isSetKey()

Returns true if field key is set (has been assigned a value) and false otherwise

#### setKeyIsSet

    public void setKeyIsSet(boolean value)

#### getColumnsSize

    public int getColumnsSize()

#### getColumnsIterator

    public java.util.Iterator<Column> getColumnsIterator()

#### addToColumns

    public void addToColumns(Column elem)

#### getColumns

    public java.util.List<Column> getColumns()

#### setColumns

    public CqlRow setColumns(java.util.List<Column> columns)

#### unsetColumns

    public void unsetColumns()

#### isSetColumns

    public boolean isSetColumns()

Returns true if field columns is set (has been assigned a value) and false otherwise

#### setColumnsIsSet

    public void setColumnsIsSet(boolean value)

#### setFieldValue

    public void setFieldValue(CqlRow._Fields field,
                              java.lang.Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`

#### getFieldValue

    public java.lang.Object getFieldValue(CqlRow._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`

#### isSet

    public boolean isSet(CqlRow._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`

#### equals

    public boolean equals(java.lang.Object that)

Overrides:
  `equals` in class `java.lang.Object`

#### equals

    public boolean equals(CqlRow that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### compareTo

    public int compareTo(CqlRow other)

Specified by:
  `compareTo` in interface `java.lang.Comparable<CqlRow>`

#### fieldForId

    public CqlRow._Fields fieldForId(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`

#### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TBase<CqlRow,CqlRow._Fields>`
Throws:
  `org.apache.thrift.TException`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`